This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 799031 - --debug option for sss_debuglevel doesn't work.
--debug option for sss_debuglevel doesn't work.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sssd (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stephen Gallagher
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 799039
  Show dependency treegraph
 
Reported: 2012-03-01 11:00 EST by Vinit Khandagle
Modified: 2012-03-17 19:43 EDT (History)
6 users (show)

See Also:
Fixed In Version: sssd-1.8.1-7.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 799039 (view as bug list)
Environment:
Last Closed: 2012-03-17 19:43:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vinit Khandagle 2012-03-01 11:00:50 EST
Description of problem:
The Debug level for sss_debuglevel cannot be set with the option --debug

Version-Release number of selected component (if applicable):
[root@fedora-client sss_tools]# rpm -q sssd
sssd-1.8.1-0.20120228T2018Zgit751b121.fc16.i686



How reproducible: Always


Steps to Reproduce:
1. Run sss_debuglevel --debug=1
2. sss_debuglevel --debug=0x0020

  
Actual results:
[root@fedora-client sss_tools]# sss_debuglevel --debug=1
Usage: sss_debuglevel [-?] [-?|--help] [--usage] [--debug=INT] [-c|--config STRING] DEBUG_LEVEL_TO_SET
Specify debug level you want to set
[root@fedora-client sss_tools]# sss_debuglevel --debug=0x0020
Usage: sss_debuglevel [-?] [-?|--help] [--usage] [--debug=INT] [-c|--config STRING] DEBUG_LEVEL_TO_SET
Specify debug level you want to set


Expected results:
The Debug Level should be set accordingly

Additional info:
Comment 1 Stephen Gallagher 2012-03-01 11:19:44 EST
Upstream ticket:
https://fedorahosted.org/sssd/ticket/1224
Comment 2 Stephen Gallagher 2012-03-02 07:22:36 EST
You are actually using the tool incorrectly. The --debug=N value is actually not supposed to be visible in the --help output. It's actually there for debugging the tool itself, not changing the debug level of the SSSD.

The correct syntax for changing SSSD's debug level is:

sss_debuglevel 0xFFF0
or
sss_debuglevel 4

We're going to fix this upstream so that the --debug=N option is hidden from the --help, to avoid confusion.
Comment 3 Fedora Update System 2012-03-12 19:43:22 EDT
sssd-1.8.1-7.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/FEDORA-2012-2725/sssd-1.8.1-7.fc16
Comment 4 Fedora Update System 2012-03-14 22:32:29 EDT
Package sssd-1.8.1-7.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sssd-1.8.1-7.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2725/sssd-1.8.1-7.fc16
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-03-17 19:43:47 EDT
sssd-1.8.1-7.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.